## org.apache.poi.ddf
Class EscherSpgrRecord

    java.lang.Object
      org.apache.poi.ddf.EscherRecord
          org.apache.poi.ddf.EscherSpgrRecord

public class EscherSpgrRecord
extends EscherRecord

The spgr record defines information about a shape group. Groups in escher are simply another form of shape that you can't physically see.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static java.lang.String` `RECORD_DESCRIPTION`
`static short` `RECORD_ID`

Constructor Summary
`EscherSpgrRecord()`

Method Summary
`int` `fillFields(byte[] data, int offset, EscherRecordFactory recordFactory)` This method deserializes the record from a byte array.
`short` `getRecordId()` The 16 bit identifier of this shape group record.
`java.lang.String` `getRecordName()` The short name for this record
`int` `getRecordSize()` Returns the number of bytes that are required to serialize this record.
`int` `getRectX1()` The starting top-left coordinate of child records.
`int` `getRectX2()` The starting bottom-right coordinate of child records.
`int` `getRectY1()` The starting top-left coordinate of child records.
`int` `getRectY2()` The starting bottom-right coordinate of child records.
`int` `serialize(int offset, byte[] data, EscherSerializationListener listener)` This method serializes this escher record into a byte array.
`void` `setRectX1(int x1)` The starting top-left coordinate of child records.
`void` `setRectX2(int x2)` The starting bottom-right coordinate of child records.
`void` `setRectY1(int y1)` The starting top-left coordinate of child records.
`void` `setRectY2(int field_4_rectY2)` The starting bottom-right coordinate of child records.
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.ddf.EscherRecord
`clone, display, fillFields, getChild, getChildRecords, getInstance, getOptions, isContainerRecord, readHeader, serialize, serialize, setChildRecords, setOptions, setRecordId`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RECORD_ID

    public static final short RECORD_ID

See Also:
  Constant Field Values

### RECORD_DESCRIPTION

    public static final java.lang.String RECORD_DESCRIPTION

See Also:
  Constant Field Values

Constructor Detail

### EscherSpgrRecord

    public EscherSpgrRecord()

Method Detail

### fillFields

    public int fillFields(byte[] data,
                          int offset,
                          EscherRecordFactory recordFactory)

  This method deserializes the record from a byte array.

  Specified by:
    `fillFields` in class `EscherRecord`
  Parameters:
    `data` - The byte array containing the escher record information
    `offset` - The starting offset into `data`.
    `recordFactory` - May be null since this is not a container record.
  Returns:
    The number of bytes read from the byte array.

### serialize

    public int serialize(int offset,
                         byte[] data,
                         EscherSerializationListener listener)

  This method serializes this escher record into a byte array.

  Specified by:
    `serialize` in class `EscherRecord`
  Parameters:
    `offset` - The offset into `data` to start writing the record data to.
    `data` - The byte array to serialize to.
    `listener` - A listener to retrieve start and end callbacks. Use a `NullEscherSerailizationListener` to ignore these events.
  Returns:
    The number of bytes written.
  See Also:
    `NullEscherSerializationListener`

### getRecordSize

    public int getRecordSize()

  Returns the number of bytes that are required to serialize this record.

  Specified by:
    `getRecordSize` in class `EscherRecord`
  Returns:
    Number of bytes

### getRecordId

    public short getRecordId()

  The 16 bit identifier of this shape group record.

  Overrides:
    `getRecordId` in class `EscherRecord`
  Returns:
    The 16 bit record id.

### getRecordName

    public java.lang.String getRecordName()

  The short name for this record

  Specified by:
    `getRecordName` in class `EscherRecord`

### toString

    public java.lang.String toString()

  Returns:
    the string representation of this record.

### getRectX1

    public int getRectX1()

  The starting top-left coordinate of child records.

### setRectX1

    public void setRectX1(int x1)

  The starting top-left coordinate of child records.

### getRectY1

    public int getRectY1()

  The starting top-left coordinate of child records.

### setRectY1

    public void setRectY1(int y1)

  The starting top-left coordinate of child records.

### getRectX2

    public int getRectX2()

  The starting bottom-right coordinate of child records.

### setRectX2

    public void setRectX2(int x2)

  The starting bottom-right coordinate of child records.

### getRectY2

    public int getRectY2()

  The starting bottom-right coordinate of child records.

### setRectY2

    public void setRectY2(int field_4_rectY2)

  The starting bottom-right coordinate of child records.

Copyright © 2003 Apache Software Foundation.